libdap::D4Dimension Class Reference

## Public Member Functions

unsigned long long | c_start () const
unsigned long long | c_stop () const
unsigned long long | c_stride () const
bool | constrained () const
| D4Dimension (const string &name, unsigned long size, D4Dimensions *d=0)
string | fully_qualified_name () const
| Get the FQN for the dimension. More...
string | name () const
D4Dimensions * | parent () const
void | print_dap4 (XMLWriter &xml) const
| Print the Dimension declaration. Print the Dimension in a form suitable for use in a Group definition/declaration. More...
void | set_constraint (unsigned long long start, unsigned long long stride, unsigned long long stop)
void | set_name (const string &name)
void | set_parent (D4Dimensions *d)
void | set_size (const string &size)
void | set_size (unsigned long size)
void | set_used_by_projected_var (bool state)
unsigned long | size () const
bool | used_by_projected_var () const

## Detailed Description

Definition at line 41 of file D4Dimensions.h.

## Member Function Documentation

## fully_qualified_name()

string libdap::D4Dimension::fully_qualified_name | ( |  | ) | const

Get the FQN for the dimension.

Returns
  The D4Dimension as a fully qualified name.

Definition at line 56 of file D4Dimensions.cc.

## print_dap4()

void libdap::D4Dimension::print_dap4 | ( | XMLWriter & | xml | ) | const

Print the Dimension declaration. Print the Dimension in a form suitable for use in a Group definition/declaration.

See also
  print_dap4(XMLWriter &xml, bool print_fqn)

Parameters

  xml | Print to this XMLWriter instance

Definition at line 83 of file D4Dimensions.cc.

## set_constraint()

void libdap::D4Dimension::set_constraint | ( | unsigned long long | start,
|  | unsigned long long | stride,
|  | unsigned long long | stop
| ) |  |

inline

Set this Shared Diemension's constraint. While an Array Dimension object uses a stop value of -1 to indicate the end of the dimension, this method does not support that; the caller will have to sort out the correct end value for 'stop'.

Parameters

  start | Starting index (zero-based)
  stride | The stride for the slice
  stop | The stopping index (never greater than size -1)

Definition at line 86 of file D4Dimensions.h.

The documentation for this class was generated from the following files:

- D4Dimensions.h
- D4Dimensions.cc